/****************************************************************************
*
* PICKUP.H
*
* PROGRAMMER : Chris
*    VERSION : 00.00
*    CREATED : 02/06/98
*   MODIFIED : 02/06/98
*       TABS : 5
*
* DESCRIPTION
*	Header file for PICKUP.C
*
*****************************************************************************/

#ifndef _PICKUP_H
#define _PICKUP_H

#ifdef __cplusplus
extern "C" {
#endif

/*---------------------------------------------------------------------------
 *	Import Headers
\*--------------------------------------------------------------------------*/

#ifdef PSX_VERSION
#include "../spec_psx/typedefs.h"
#else
#include "..\specific\stypes.h"
#endif

#include "items.h"
#include "collide.h"

/*---------------------------------------------------------------------------
 *	Prototypes
\*--------------------------------------------------------------------------*/

extern void PickUpCollision(sint16 item_num, ITEM_INFO *laraitem, COLL_INFO *coll);
extern void SwitchCollision(sint16 item_num, ITEM_INFO *laraitem, COLL_INFO *coll);
extern void SwitchCollision2(sint16 item_num, ITEM_INFO *laraitem, COLL_INFO *coll);
extern void DetonatorCollision(sint16 item_number, ITEM_INFO *laraitem, COLL_INFO *coll);
extern void KeyHoleCollision(sint16 item_num, ITEM_INFO *laraitem, COLL_INFO *coll);
extern void PuzzleHoleCollision(sint16 item_num, ITEM_INFO *laraitem, COLL_INFO *coll);
extern void SwitchControl(sint16 item_number);
extern int SwitchTrigger(sint16 item_num, sint16 timer);
extern int KeyTrigger(sint16 item_num);
extern int PickupTrigger(sint16 item_num);
extern void SecretControl(sint16 item_number);
extern void AnimatingPickUp(sint16 item_number);
extern void BossDropIcon(sint16 item_number);

#ifdef __cplusplus
}
#endif

#endif
